subscription-bundles
Create subscription bundle
Creates a subscription bundle from the supplied bundle definition.
Requires a bearer token. Returns 422 on validation failure and 401
when unauthenticated.
POST
/
api
/
checkout
/
v2026-04
/
subscription_bundles
Create subscription bundle
curl --request POST \
--url https://api.fluid.app/api/checkout/v2026-04/subscription_bundles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bundle": {
"subscription_tokens": [
"<string>"
],
"next_bill_date": "2023-11-07T05:31:56Z",
"address_id": 123,
"volume_rep_id": 123
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/subscription_bundles"
payload = { "bundle": {
"subscription_tokens": ["<string>"],
"next_bill_date": "2023-11-07T05:31:56Z",
"address_id": 123,
"volume_rep_id": 123
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bundle: {
subscription_tokens: ['<string>'],
next_bill_date: '2023-11-07T05:31:56Z',
address_id: 123,
volume_rep_id: 123
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/subscription_bundles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"subscription_bundle": {
"address": {
"address1": "<string>",
"address2": null,
"address3": null,
"city": "<string>",
"country_code": "<string>",
"country_num_code": 123,
"default": true,
"id": 123,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"state": "<string>",
"subdivision_code": null
},
"next_bill_date": "2023-12-25",
"subscription_count": 123,
"subscriptions": [
{
"currency": {
"active": true,
"code": "<string>",
"id": 123,
"name": "<string>",
"rate": 123,
"symbol": "<string>"
},
"id": 123,
"original_price": 123,
"price": 123,
"subscription_plan_name": "<string>",
"subscription_token": "<string>",
"variant": {
"currency_code": "<string>",
"display_name": "<string>",
"id": 123,
"image_path": "<string>",
"image_url": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"price": 123,
"price_in_currency": "<string>",
"primary_image": "<string>",
"product": {
"canonical_url": "<string>",
"cv": "<string>",
"cv_in_currency": "<string>",
"external_id": "<string>",
"id": 123,
"image_path": "<string>",
"image_url": "<string>",
"introduction": "<string>",
"metadata": {},
"metafields": [
"<string>"
],
"price": 123,
"price_in_currency": "<string>",
"sku": "<string>",
"tax": 123,
"tax_in_currency": "<string>",
"title": "<string>",
"product_bundle_groups": [
"<string>"
]
},
"sku": "<string>",
"title": "<string>"
}
}
],
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
}
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}⌘I
Create subscription bundle
